ND-CONFIGUREREPO(1)

NAME
nd-configurerepo - configure APT to use NeuroDebian repository

SYNOPSIS
nd-configurerepo [options]

DESCRIPTION
Enables NeuroDebian repository for the current Debian or Ubuntu release.

OPTIONS

-r, --release=RELEASE

    Name of the Debian/Ubuntu release to be used. If not specified, it is deduced from the 'apt-cache policy' output, by taking repository of Debian or Ubuntu origin with highest priority.

--print-releases

    Print a list of releases present in NeuroDebian repository.

--print-release

    Print the release deduced from the output of apt-cache policy.

-f, --flavor=full|libre

    Which flavor of the repository should be enabled:

libre
    Only 'main' component, containing only DFSG-compliant content.

full
    Includes 'main', 'contrib', and 'non-free'.

    If not specified -- deduced from the output of apt-cache policy.

--print-flavor

    Print the flavor deduced from the output of apt-cache policy.

-c, --components=c1,c2,c3

    Comma separated list of components to enable among:

software
    primary software repository

data
    data packages

devel
    "overlay" of development versions (like Debians' "experimental"). Not sufficient on its own and available only from the main site

    If not specified -- "software,data"

-m, --mirror=NAME|URL

    Which mirror to use. Could be a mirror code-name (as specified in /etc/neurodebian/neurodebian.cfg), or a URL.

--print-mirrors

    Return a list (with abbreviation) of known NeuroDebian mirrors.

--overwrite,

    If apt file already present, it would not be overridden (by default). Use this option to overwrite.

--suffix=SUFFIX

    Which suffix to add to the apt file, in case you are trying to enable multiple repositories

--sources, --no-sources

    Either to enable deb-src lines. If none specified -- would be enabled if sources for a core package (apt) are available.

-n, --dry-run

    Do not perform any changes -- generated configurations and commands will simply be printed to stdout

--install

    If found absent, all necessary tools (wget, netselect) if available will be apt-get installed

-v, --verbose

    Enable additional progress messages. Could be used multiple times

-q, --quiet

    Make operation quiet -- only error messages would be output

-h, --help

    Print short description, usage summary and option list.

--version

    Print version information and exit.

Exit status:

    non-0 exit status in case of error. Error exit code would depend on which command has failed.

EXAMPLES

    nd-configurerepo

    Enable software and data components from the optimal (according to netselect) mirror. Some information about progress will be printed

    nd-configurerepo -q --suffix=-devel -c devel

    Quietly enable -devel repository for the current release, and place apt configuration into /etc/apt/sources.list.d/neurodebian.sources-devel.list

    nd-configurerepo -q --suffix=-de-sid-full -c software,data,devel -m jp

    Force sid distribution, all the components, from the Japan mirror

AUTHOR
Written by Yaroslav Halchenko for the NeuroDebian project.

COPYRIGHT
Copyright © 2014-2025 Yaroslav Halchenko <debian@onerussian.com>

Licensed under GNU Public License version 3 or later.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.